package me.km.blockprotections;

import me.km.overrides.ModEntityPlayerMP;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IWorld;

public interface IBlockProtection
{
    public boolean hasAccess(int x, int y, int z, String worldName, int playerId);
    public boolean hasAccess(BlockPos pos, IWorld w, ModEntityPlayerMP p);
}